// pages/notify/notigy.js
import { API } from './../../../utils/network/api'
let api = new API()
const app = getApp()
Page({

  /**
   * 页面的初始数据
   */
  data: {
    navbarData: {
      showCapsule: 1, //是否显示左上角图标   1表示显示    0表示不显示
      title: '消息通知', //导航栏 中间的标题
    },
    checked:true,
  },
  onChangeSwitch({ detail }){
    this.setData({ checked: detail });
    this.handleEditConfig(detail);
   },
  handleEditConfig(detail){
    let is_accept_im_message_push=detail?1:0;
    api.editConfig({is_accept_im_message_push:is_accept_im_message_push}).then(data=>{
        wx.showToast({
          title: '设置成功',
          icon:"none"
        })
    })
  },
  handleGetConfig(){
    api.getConfig().then(data=>{
     let result=data.data;
     this.setData({
       checked:result.is_accept_im_message_push==1?true:false
     })
    })
  },
  /**
   * 生命周期函数--监听页面加载
   */
  onLoad(options) {
    this.handleGetConfig();
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady() {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow() {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide() {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload() {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh() {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom() {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage() {

  }
})